#ifndef TRANSADF_MAIN_H
#define TRANSADF_MAIN_H


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* EXEC_TYPES_H */

#ifndef DEVICES_TRACKDISK_H
#include <devices/trackdisk.h>
#endif /* DEVICES_TRACKDISK_H */

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif /* DOS_DOS_H */

#ifdef COMPILE_RT
#  ifndef EXEC_LIBRARIES_H
#  include <exec/libraries.h>
#  endif /* EXEC_LIBRARIES_H */
extern struct Library *ZBase;
#  include "z_pragmas.h"
#endif /* COMPILE_RT */


/*---------------------------------*/
/* Global variables and structures */
/*---------------------------------*/

/* Constant strings */
extern const char breakText[];
extern const char TA_Template[];

/* Standard IO Handles */
extern BPTR StdIn;
extern BPTR StdOut;
extern BPTR StdErr;

/* Program name */
extern STRPTR ProgName;

/* This will be passed to the read/write routines */
struct ADF_Packet {
  /* Track Disk IO */
  struct IOExtTD *diskReq;
  ULONG  diskUnit;
  
  /* Amiga Disk File */
  BPTR   ADFile;
  STRPTR ADFileName;

  /* Track info */
  ULONG  startTrack;
  ULONG  endTrack;
};


/*---------------------*/
/* Function prototypes */
/*---------------------*/

void initGlobals (void);
void cleanExit (ULONG rc, LONG rc2);


#endif /* TRANSADF_MAIN_H */
